Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Batches
  • About the AutoCollect API
  • Getting started with the AutoCollect API
  • Webhooks
  • Example Workflow
  • Batches
    • GetBatchById
      GET
    • GetBatchesByOrganization
      GET
    • GetBatchById - Legacy (To be removed)
      GET
  • Collections
    • AcceptDebtCollectionList
      POST
    • RejectDebtCollectionList
      POST
    • PauseCase
      POST
    • WithdrawCase
      POST
    • ResumeCase
      POST
  • Correction
    • CreateCorrections
      POST
  • Invoice
    • CreateInvoices
      POST
    • GetInvoicesByOrganization
      GET
    • GetInvoiceById
      GET
  • Payment
    • CreatePayments
      POST
  • Settlement
    • GetSettlements
      GET
    • GetSettlement on Id
      GET
  • AutoCollect Legacy API
    • Attachment
      • /webapi/api/Attachment
    • Batch
      • /webapi/api/Batch
      • /webapi/api/Batch
    • Ping
      • /webapi/api/Ping
  1. Batches

GetBatchById

GET
/orgs/{organizationId}/batches/{batchId}
Endpoints for organization management operations

Request

Authorization
Path Params

Responses

🟢200OK
application/json
OK
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠409Conflict
🟠422Unprocessable Entity
🔴500Internal Server Error
🔴503Service Unavailable
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/orgs//batches/'
Response Response Example
200 - Example 1
{
    "summary": {
        "status": "SUCCESS"
    },
    "data": {
        "batchId": "ae257e86-dc53-4865-9c97-5b125a3a5ac2",
        "type": "INVOICE",
        "status": "SUCCESS",
        "createdAt": "2025-03-09T14:30:00Z",
        "finishedAt": "2025-03-09T14:30:05Z",
        "organizationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "createdBy": "8a1b2c3d-4e5f-6789-abcd-ef0123456789",
        "succeeded": [
            {
                "invoiceId": "cfa69f56-2faf-4a1f-a011-1980d4e385b0",
                "invoiceNumber": "INV-2025-001",
                "caseNumber": "178452"
            }
        ],
        "failed": []
    }
}
Modified at 2026-04-20 10:17:34
Previous
Example Workflow
Next
GetBatchesByOrganization
Built with